Subject: Re: linux-next: Tree for Aug 28 [ xhci build breakage ]

From: Sarah Sharp <[email-masked]>
Date: Wed, 28 Aug 2013 14:15:46 -0700

On Wed, Aug 28, 2013 at 07:39:14PM +0200, Sedat Dilek wrote:
> On Wed, Aug 28, 2013 at 7:24 PM, Dmitry Kasatkin <[email-masked]> wrote:
> Still noone answered me why "drivers/usb/host/xhci-ring.c" does NOT
> include <linux/device.h> (dev_info_ratelimited() and other defines).
> I am expecting that... even I see...
> 
>           drivers/usb/host/.xhci-ring.o.cmd:715:  include/linux/device.h \
> 
> ...where I don't know why this happens.
> 
> ( For me this is a bit more important than """trimming""" my
> responses, I keep the history... )
> 
> - Sedat -
> 
> P.S.: List of includes in xhci-ring.c
> 
> $ grep ^'#include' -nr drivers/usb/host/xhci-ring.c
> 67:#include <linux/scatterlist.h>
> 68:#include <linux/slab.h>
> 69:#include "xhci.h"
> 70:#include "xhci-trace.h"

Because a header that xhci-ring.c uses includes device.h instead.

drivers/usb/host/xhci/xhci-ring.c includes
drivers/usb/host/xhci.h which includes
include/linux/usb.h which includes
include/linux/device.h

All USB host controllers depend on including usb.h, so I don't think
there's a need for the driver to explicitly include device.h.

Sarah Sharp